function [obraz, pixel_size] = load_dicom_data(file_name)
% Nacte data z dicom souboru, zjisti velikost obrazu a rozmer pixelu

obraz = im2double(dicomread(file_name));

if size(obraz, 3) > 1
    obraz = rgb2gray(obraz);
end

% normalizace
obraz = reshape(normalize(obraz(:), 'range'), size(obraz));
% Filtrace pro odstranění šumu
obraz = medfilt2(obraz,[3, 3]);
% % Zjištění velikost obrazu
% obr_velikost = size(obraz); % [y, x]
% Get pixel size
try
    metadata = dicominfo(file_name);
    pixel_size = metadata.PixelSpacing; % [x, y]
catch
    pixel_size = [1, 1];
end

end

